<?php
#############################################################################
#  Based on Module Tag Cloud for Opencart 1.4.x From Team SiamOpencart.com		  													           #
#############################################################################
class ControllerModulePhotoCloud extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('module/photocloud');

		$this->document->title = $this->language->get('heading_title');

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('photocloud', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect((HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_left'] = $this->language->get('text_left');
		$this->data['text_right'] = $this->language->get('text_right');

		$this->data['entry_limit'] = $this->language->get('entry_limit');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');

  		$this->data['entry_credit'] = $this->language->get('entry_credit');
  		$this->data['entry_translate'] = $this->language->get('entry_translate');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

		if (isset($this->error['warning']))
		{
			$this->data['error_warning'] = $this->error['warning'];
		}
		else
		{
			$this->data['error_warning'] = '';
		}

		if (isset($this->error['error_sort_order']))
		{
			$this->data['error_sort_order'] = $this->error['error_sort_order'];
		}
		else
		{
			$this->data['error_sort_order'] = '';
		}

		if (isset($this->error['error_limit']))
		{
			$this->data['error_limit'] = $this->error['error_limit'];
		}
		else
		{
			$this->data['error_limit'] = '';
		}



 
 		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token']),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']),
       		'text'      => $this->language->get('text_module'),
      		'separator' => ' :: '
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=module/photocloud&token=' . $this->session->data['token']),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);

		$this->data['action'] = (HTTPS_SERVER . 'index.php?route=module/photocloud&token=' . $this->session->data['token']);

		$this->data['cancel'] = (HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']);

		if (isset($this->request->post['photocloud_limit'])) {
			$this->data['photocloud_limit'] = $this->request->post['photocloud_limit'];
		} else {
			$this->data['photocloud_limit'] = $this->config->get('photocloud_limit');
		}


		$this->data['photocloud_positions'] = array();
		
		$this->data['photocloud_positions'][] = array(
			'position' => 'left',
			'title'    => $this->language->get('text_left'),
		);
		
		$this->data['photocloud_positions'][] = array(
			'position' => 'right',
			'title'    => $this->language->get('text_right'),
		);
		
		$this->data['photocloud_positions'][] = array(
			'position' => 'home',
			'title'    => $this->language->get('text_home'),
		);
		

		if (isset($this->request->post['photocloud_position'])) {
			$this->data['photocloud_position'] = $this->request->post['photocloud_position'];
		} else {
			$this->data['photocloud_position'] = $this->config->get('photocloud_position');
		}

		if (isset($this->request->post['photocloud_status'])) {
			$this->data['photocloud_status'] = $this->request->post['photocloud_status'];
		} else {
			$this->data['photocloud_status'] = $this->config->get('photocloud_status');
		}
		
		if (isset($this->request->post['photocloud_font_function'])) {
			$this->data['photocloud_font_function'] = $this->request->post['photocloud_font_function'];
		} else {
			$this->data['photocloud_font_function'] = $this->config->get('photocloud_font_function');
		}

		if (isset($this->request->post['photocloud_sort_order'])) {
			$this->data['photocloud_sort_order'] = $this->request->post['photocloud_sort_order'];
		} else {
			$this->data['photocloud_sort_order'] = $this->config->get('photocloud_sort_order');
		}



		$this->id       = 'photocloud';
		$this->template = 'module/photocloud.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));

 		$this->render();
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/photocloud')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
	//	if (!$this->request->post['photocloud_sort_order']) {
	//		$this->error['error_sort_order'] = $this->language->get('error_sort_order');
	//	}
		
		if (!$this->request->post['photocloud_limit']) {
			$this->error['error_limit'] = $this->language->get('error_limit');
		}


		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>